import { View, ViewProps } from "react-native";
import { SafeAreaView } from "react-native-safe-area-context";
import React from "react";

export default React.forwardRef<any, ViewProps>(
  ({ children, ...props }, ref): React.ReactElement => {
    return (
      <SafeAreaView className={"h-full p-4"} {...ref} {...props}>
        <View>{children}</View>
      </SafeAreaView>
    );
  }
);
